
Foreman - Bug #32360

Array destruction is misshandled by babel

04/20/2021 04:56 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8454

  

Description

Array desturction causes our tests to fail on new code.

Associated revisions

Revision 92b4247f - 04/21/2021 08:48 AM - Ondřej Ezr

Fixes #32360 - remove array destruction

This removes usage of array destruction as babel is unable to handle it

for some reason and given we have just two usecases, it is easier to

drop it, then figure out what's wrong with babel.

History

#1 - 04/20/2021 04:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8454 added

#2 - 04/21/2021 08:48 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 04/21/2021 09:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|92b4247fe20b56779508b432bec760d0368668d6.
